tr1/complex File Reference

Go to the source code of this file.

## Namespaces

| std
| std::tr1

## Macros

#define | _GLIBCXX_TR1_COMPLEX

## Functions

template<typename _Tp >
std::complex< _Tp > | std::tr1::__complex_acosh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::__complex_asinh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::__complex_atanh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::acosh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::asinh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::atanh (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< _Tp > | std::tr1::conj (const std::complex< _Tp > &__z)
template<typename _Tp >
std::complex< typename __gnu_cxx::__promote< _Tp > ::__type > | std::tr1::conj (_Tp __x)
template<typename _Tp >
std::complex< _Tp > | std::tr1::fabs (const std::complex< _Tp > &__z)
template<typename _Tp , typename _Up >
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | std::tr1::polar (const _Tp &__rho, const _Up &__theta)
template<typename _Tp , typename _Up >
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | std::tr1::pow (const std::complex< _Tp > &__x, const _Up &__y)
template<typename _Tp , typename _Up >
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | std::tr1::pow (const _Tp &__x, const std::complex< _Up > &__y)
template<typename _Tp , typename _Up >
std::complex< typename __gnu_cxx::__promote_2< _Tp, _Up >::__type > | std::tr1::pow (const std::complex< _Tp > &__x, const std::complex< _Up > &__y)
template<typename _Tp >
std::complex< _Tp > | std::tr1::pow (const std::complex< _Tp > &__x, const _Tp &__y)
template<typename _Tp >
std::complex< _Tp > | std::tr1::pow (const _Tp &__x, const std::complex< _Tp > &__y)
template<typename _Tp >
std::complex< _Tp > | std::tr1::pow (const std::complex< _Tp > &__x, const std::complex< _Tp > &__y)

## Detailed Description

This is a TR1 C++ Library header.

Definition in file tr1/complex.